[mysqld]
# Custom MySQL configuration
server-id=1  # Unique server ID for replication
log-bin=mysql-bin  # Enable binary logging
binlog-format=row  # Use row-based binary logging format
# Skip symbolic-links is deprecated, use mysqladmin to shut down
skip-symbolic-links=0

# Allow root access from any host
bind-address=0.0.0.0

# Specify default authentication plugin for MySQL 8.0
default-authentication-plugin=mysql_native_password

# Custom configuration options
max_connections=200  # Increase maximum connections
innodb_buffer_pool_size=1G  # Set InnoDB buffer pool size
